#include "cpu.h"

#ifndef DEFINES_H
#define DEFINES_H


//----------------------------------
// General Defines - START
//----------------------------------
//#define u8  unsigned char
//#define u16 unsigned int
//#define u32 unsigned long
//#define s8  signed char
//#define s16 signed int
//#define s32 signed long


#define PIN0 0x01
#define PIN1 0x02
#define PIN2 0x04
#define PIN3 0x08
#define PIN4 0x10
#define PIN5 0x20
#define PIN6 0x40
#define PIN7 0x80

#define ON   1
#define OFF  0

typedef union {
	 struct 
	 	{
		u8      bit7: 1;   // upper byte - lsb
		u8      bit6: 1;
		u8      bit5: 1;
		u8      bit4: 1;
		u8      bit3: 1;
		u8      bit2: 1;
		u8      bit1: 1;
		u8      bit0: 1;
		}BIT;
	u8 BYTE;
} flagtype;	
//----------------------------------
// General Defines - END
//----------------------------------
#endif