#ifndef COMM_H
#define COMM_H



//------------------------------------------------------------------
// Defines defined in this file
//------------------------------------------------------------------  

#define CR  0x0D
#define LF  0x0A
#define SPC 0x20

#define SendByte(byte) while (SCITxEmpty == 0); \
                       SCI0DRL = byte

#define SCITxEmpty	    SCI0SR1_TDRE 

//------------------------------------------------------------------  

//------------------------------------------------------------------
// Globals defined in this file
//------------------------------------------------------------------  

#ifdef COMM_C
  #define EXT_COMM_C
#else
  #define EXT_COMM_C extern
#endif

EXT_COMM_C  u8 TXBuf[10];
EXT_COMM_C  u8 BufferPtr;
//------------------------------------------------------------------


//------------------------------------------------------------------
// Function Prototypes
//------------------------------------------------------------------

u8 Hex2ascii(u8 byte);
void  OutputValue(u8 fullstep, u16 data);
void Init_SCI(void);

//------------------------------------------------------------------

#endif